diff --git a/web/pgadmin/static/js/tree/tree.js b/web/pgadmin/static/js/tree/tree.js
index 266bddfc..fd6793ca 100644
--- a/web/pgadmin/static/js/tree/tree.js
+++ b/web/pgadmin/static/js/tree/tree.js
@@ -85,6 +85,10 @@ export class Tree {
   }
 
   async refresh(item) {
+    //  Set _children to null as empty array not reload the children nodes on refresh.
+    if(item.children?.length == 0) {
+      item._children = null;
+    }
     await this.tree.refresh(item);
   }
 
